declare const useDataSourceKey: () => {
    dataSourceKey: string | import("../../provider/dataSource/DataSourceContext").DataSourceType | undefined;
    dataSourceKeyRef: import("react").MutableRefObject<string | import("../../provider/dataSource/DataSourceContext").DataSourceType | undefined>;
};
export default useDataSourceKey;
